<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">

    <!--  网络请求  -->
    <uses-permission android:name="android.permission.INTERNET" />
    <!--  指纹验证  -->
    <uses-permission android:name="android.permission.USE_BIOMETRIC" />
    <!--  读取存储权限 Android13版本以下使用  -->
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <!--  通知权限  -->
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />

    <!--  蓝牙相关权限  -->
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.BLUETOOTH_SCAN" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADVERTISE" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <!--  Android11及以后，发现蓝牙设备需要这个定位权限  -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />


    <application
        android:name=".Entry"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Bozzys"
        android:usesCleartextTraffic="true">
        <!--  闪屏页面  -->
        <activity
            android:name=".ui.pages.PageSplash"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.BozzysSplash">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <!--  登录页面  -->
        <activity
            android:name=".ui.pages.login.PageLogin"
            android:exported="false"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <!--  主页面  -->
        <activity
            android:name=".ui.pages.home.PageHome"
            android:exported="false"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
        <!--  选择流程类型  -->
        <activity
            android:name=".ui.pages.select.job.PageSelectJobType"
            android:exported="false"
            android:screenOrientation="portrait" />
        <!--  创建作业  -->
        <activity
            android:name=".ui.pages.create.job.PageCreateJob"
            android:exported="false"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustNothing" />
        <!--  编辑流程  -->
        <activity
            android:name=".ui.pages.edit.step.PageEditStep"
            android:exported="false"
            android:screenOrientation="portrait" />
        <!--  作业详情  -->
        <activity
            android:name=".ui.pages.detail.job.PageDetailJob"
            android:exported="false"
            android:screenOrientation="portrait" />
        <!--  任务详情  -->
        <activity
            android:name=".ui.pages.detail.task.PageDetailTask"
            android:exported="false"
            android:screenOrientation="portrait" />
        <!--  消息中心  -->
        <activity
            android:name=".ui.pages.message.PageMessage"
            android:exported="false"
            android:screenOrientation="portrait" />
        <!--  发布作业  -->
        <activity
            android:name=".ui.pages.create.job.PagePushJob"
            android:exported="false"
            android:screenOrientation="portrait" />
        <!--  用户信息  -->
        <activity
            android:name=".ui.pages.profile.PageProfile"
            android:exported="false"
            android:screenOrientation="portrait" />
        <!--  人脸录入页面  -->
        <activity
            android:name=".ui.pages.profile.face.PageFace"
            android:exported="false"
            android:screenOrientation="portrait" />
        <!--  待归还设备列表  -->
        <activity
            android:name=".ui.pages.return_device.PageReturnDevice"
            android:exported="false"
            android:screenOrientation="portrait" />

        <!--  阿里消息推送服务配置  -->
        <service
            android:name=".service.AliPushService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.alibaba.push2.action.NOTIFICATION_OPENED" />
            </intent-filter>
            <intent-filter>
                <action android:name="com.alibaba.push2.action.NOTIFICATION_REMOVED" />
            </intent-filter>
            <intent-filter>
                <action android:name="com.alibaba.sdk.android.push.RECEIVE" />
            </intent-filter>
        </service>
    </application>

</manifest>